Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control.ajax
Class RequestUser

    java.lang.Object
      org.deegree.enterprise.control.ajax.RequestUser

     class RequestUser

extends Object

Encapsulates all client information.

Version:
  $Revision: 20969 $ $Date: 2009-11-23 16:51:29 +0100 (Mo, 23. Nov 2009) $
Author:
  Torsten Friebe, Andreas Poth

Constructor Summary
`protected` | `RequestUser()` Creates an empty object.
`` | `RequestUser(javax.servlet.http.HttpServletRequest request)` Creates a request user object with client information retrieved out of the request object.

Method Summary
`String` | `getAuthType()`
`String` | `getRemoteAddr()`
`String` | `getRemoteHost()`
`String` | `getRemoteUser()`
`protected Object` | `getRequestValue(javax.servlet.http.HttpServletRequest request, String methodName, Object defaultValue)`
`String` | `getUserPrincipal()`
`protected void` | `parseRequest(javax.servlet.http.HttpServletRequest request)` Parse request object for user specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestUser

    protected RequestUser()

  Creates an empty object.

### RequestUser

    public RequestUser(javax.servlet.http.HttpServletRequest request)

  Creates a request user object with client information retrieved out of the request object.

  Parameters:
    `request` - the request object containing user and client data

Method Detail

### getRemoteUser

    public String getRemoteUser()

  Returns:
    Remote user

### getRemoteAddr

    public String getRemoteAddr()

  Returns:
    Remote address

### getRemoteHost

    public String getRemoteHost()

  Returns:
    Remote host

### getAuthType

    public String getAuthType()

  Returns:
    Authorization scheme

### getUserPrincipal

    public String getUserPrincipal()

  Returns:
    the user principal

### parseRequest

    protected void parseRequest(javax.servlet.http.HttpServletRequest request)

  Parse request object for user specific attributes.

  Parameters:
    `request` - to parse

### getRequestValue

    protected Object getRequestValue(javax.servlet.http.HttpServletRequest request,
                                     String methodName,
                                     Object defaultValue)
                              throws NoSuchMethodException,
                                     InvocationTargetException,
                                     IllegalAccessException

  Parameters:
    `request` -
    `methodName` -
    `defaultValue` -
  Returns:
    the value of a request or if the request is null, the methodName is null or empty, `null` will be returned.
  Throws:
    `NoSuchMethodException`
    `InvocationTargetException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org